#!/bin/sh
set -ue

testname="${1:-offline}"

testfolder="$AUTOPKGTEST_TMP/$testname"

mkdir -p "$testfolder"

cp -prd /usr/share/doc/python-osmnx-doc/examples/tests "$testfolder"
cp -p debian/tests/test_osmnx_offline.py "$testfolder/tests"

cd "$testfolder"

case "$testname" in
	offline)
		python3-coverage run --source osmnx -m pytest --verbose tests/test_osmnx_offline.py
		;;
	online)
		python3-coverage run --source osmnx -m pytest --verbose tests/test_osmnx.py
		;;
	*)
		echo 1>&2 "unknown test '$testname'"
		exit 1
		;;
esac

exit 0
